<?php

namespace Drupal\candidate_manager\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\candidate_manager\Entity\Candidate;

class CandidateController extends ControllerBase {

  public function view(Candidate $candidate) {
    return [
      '#theme' => 'candidate_profile',
      '#candidate' => $candidate,
      '#title' => $candidate->label(),
      '#attached' => [
        'library' => [
          'candidate_manager/candidate_profile',
        ],
      ],
    ];
  }

  public function title(Candidate $candidate) {
    return $candidate->label();
  }
}
