<?php

namespace Drupal\candidate_manager\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\candidate_manager\Entity\Company;

class CompanyController extends ControllerBase {

  public function view(Company $company) {
    return [
      '#theme' => 'company_profile',
      '#company' => $company,
      '#title' => $company->label(),
    ];
  }

  public function title(Company $company) {
    return $company->label();
  }
}
